﻿using Microsoft.EntityFrameworkCore;
using NetworkResurrector.Api.Domain.Data.DbContexts;
using NetworkResurrector.Api.Domain.Entities;
using NetworkResurrector.Api.Domain.Repositories;
using System;
using System.Threading.Tasks;

namespace NetworkResurrector.Api.Domain.Data.Repositories
{
    class NetworkRepository : INetworkRepository
    {
        private readonly NetworkDbContext _dbContext;

        public NetworkRepository(NetworkDbContext dbContext)
        {
            _dbContext = dbContext;
        }

        public Task<Machine[]> GetMachines()
        {
            return _dbContext.Machines.ToArrayAsync();
        }

        public async Task<Machine> GetMachine(int machineId)
        {
            var machine = await _dbContext.Machines.FirstOrDefaultAsync(z => z.MachineId == machineId);
            if (machine == null)
                throw new Exception($"Machine with id {machineId} not found");

            return machine;
        }
    }
}
